CustomTThreadPoolServer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class CustomTThreadPoolServer

- java.lang.Object
- - org.apache.thrift.server.TServer
  - - org.apache.cassandra.thrift.CustomTThreadPoolServer

-     public class CustomTThreadPoolServer
      extends org.apache.thrift.server.TServer

  Slightly modified version of the Apache Thrift TThreadPoolServer.

  This allows passing an executor so you have more control over the actual behaviour of the tasks being run.

  Newer version of Thrift should make this obsolete.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CustomTThreadPoolServer.Factory`

    - ### Nested classes/interfaces inherited from class org.apache.thrift.server.TServer

      `org.apache.thrift.server.TServer.AbstractServerArgs<T extends org.apache.thrift.server.TServer.AbstractServerArgs<T>>, org.apache.thrift.server.TServer.Args`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.server.TServer

      `eventHandler_, inputProtocolFactory_, inputTransportFactory_, outputProtocolFactory_, outputTransportFactory_, processorFactory_, serverTransport_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomTThreadPoolServer(org.apache.thrift.server.TThreadPoolServer.Args args, java.util.concurrent.ExecutorService executorService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serve()`
    `void` | `stop()`

    - ### Methods inherited from class org.apache.thrift.server.TServer

      `getEventHandler, isServing, setServerEventHandler, setServing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomTThreadPoolServer

          public CustomTThreadPoolServer(org.apache.thrift.server.TThreadPoolServer.Args args,
                                         java.util.concurrent.ExecutorService executorService)

  - ### Method Detail

    - #### serve

          public void serve()

      Specified by:
        `serve` in class `org.apache.thrift.server.TServer`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `org.apache.thrift.server.TServer`

Copyright © 2018 The Apache Software Foundation